RetroArch Switch

Discussion in 'Switch - Emulation, Homebrew & Software Projects' started by ShadowOne333, Dec 30, 2017.

  1. Puremin0rez

    Puremin0rez Member

    Newcomer
    2
    Apr 1, 2019
    United States
    Chicago, IL, US
    Yep that worked, thanks :)
     
  2. FanboyKilla

    FanboyKilla GBAtemp Regular

    Member
    3
    Mar 9, 2019
    United States
    How could all these reasons be why you mix and match when these "reasons" being talked about are due to the fact that the builds from this weekend are obviously unstable? m4xw just said back on page 297 that he would be doing maintenance over the weekend and that there "might be some broken builds appearing on the bot".

    Anyone who read that message and who has any common sense should know better than to be using any of the builds from this weekend. But I guess common sense isn't so common these days, hence the reason we've got people on here talking about how they're on 8.0.1 FW and stuff isn't working right. Buncha weirdos who have Obsessive Update Disorder. [​IMG]
     
    Last edited by FanboyKilla, Apr 29, 2019
  3. sj33

    sj33 GBAtemp Psycho!

    Member
    13
    Oct 22, 2013
    Japan
    To be fair, there are some mixed messages because we do tend to discourage people from using 'unstable' bleeding edge nightlies while also acknowledging that the stable builds are outdated and missing features. Ultimately, a bit of common sense is required on the part of the user - the latest nightly can be unstable so use at your own risk and go a few days back if you have problems. At this point, the stable build is just too outdated.

    This weekend was a special case because m4 is trying to update every single core to the newer libnx revisions. This means the nightlies will get the JIT dynarec stuff, support for 8.x etc. but expect teething issue because every single core has to be updated and it is unrealistic to expect everything to be fully tested.
     
  4. Milenko

    Milenko GBAtemp Advanced Maniac

    Member
    10
    Oct 16, 2017
    Australia
    I'm mostly referring to older builds of mupen having different compatibilities, which is why I got you to make the SVC build seperate from glide... And I'll take my messed up okay history build from months ago if it works fine :wink:
     
    FanboyKilla likes this.
  5. FanboyKilla

    FanboyKilla GBAtemp Regular

    Member
    3
    Mar 9, 2019
    United States
    I'm all about hanging back and using STABLE versions of WHATEVER it may be! That's why I'm still on 6.2.0 FW. That's why I still use Windows 7 and Windows 8.1 and keep my ass away from that abomination they call "WinBlows 10". Because "NEWER" doesn't always mean "BETTER". I'd say that 90% of users out there now a days FAIL to comprehend that.

    But SOMETIMES newer can be better, you just have to test shit out and see for yourself. Just last week I decided to load up 7.0.1 FW and see how it ran, and compared to 6.2.0 FW, it ran like SHIT! Takes way longer to boot, and battery life seemed way worse than usual, and I didn't gain a god damn thing from updating! So I went back to 6.2.0 FW and all is well again. But at least I know for myself and don't just "Update just to Update" like most people.

    The same can be done with RA. Anytime I decide I'm going to update, I have a separate SD Card that I use that has a fresh copy of Atmosphere and then I load all the newer RA files on there and then test it out for a few days. If everything works good then I'll switch over to my main SD Card and update the files on there to the newest version.

    That's why you won't EVER see me on here making posts whining about "Hey I just Updated XXXXX and now XXXX and XXXX doesn't work!".
     
    Last edited by FanboyKilla, Apr 29, 2019
  6. ShadowOne333
    OP

    ShadowOne333 GBAtemp Guru

    Member
    19
    Jan 17, 2013
    Mexico
    Wait until Tuesday to download the nightly cores to be sure.
    The maintenance might still be happening rightnow, so be sure to try the ones from that day to make sure the maintenance is over.
     
  7. Milenko

    Milenko GBAtemp Advanced Maniac

    Member
    10
    Oct 16, 2017
    Australia
    https://ufile.io/r8fc972d

    Here is the Mupen SVC build (also named internally so you can have the glide core and this at the same time)

    Has different compatibility with some games, including Yoshi's Story working
     
    cucholix likes this.
  8. m4xw

    m4xw Ancient Deity

    pip Developer
    16
    May 25, 2018
    Germany
     
    Last edited by m4xw, Apr 29, 2019
  9. CrashMidnick

    CrashMidnick GBAtemp Regular

    Member
    4
    Jul 22, 2015
    France
    I do not know if it as been discussed before but when trying to play Goldeneye64 or Perfect Dark, when I try to go forward or backward, it is like C buttons (the ones to look up and down) are pressed at the same time. Is it me or there is something to do ? In Mario 64 I do not have that problem. Thanks.
     
  10. snoofly

    snoofly GBAtemp Advanced Fan

    Member
    8
    Aug 18, 2015
    United Kingdom
    something like analog to digital should be set to none
     
    lordelan and CrashMidnick like this.
  11. CrashMidnick

    CrashMidnick GBAtemp Regular

    Member
    4
    Jul 22, 2015
    France
    That worked. Many thanks !!
     
  12. uzimakiuchiha

    uzimakiuchiha GBAtemp Regular

    Member
    4
    May 17, 2009
    United States
    What happens if I already have sys-clk overclock and I change the settings in retroarch to a different clock speed? And does that affect the GPU overclock enabled at all?
     
  13. DiscostewSM

    DiscostewSM GBAtemp Guru

    Member
    13
    Feb 10, 2009
    United States
    Sacramento, California
    These look like the issues I was facing (the latter more than the former, but still). Will test the new nightly right now to confirm. Thanks for all your hard work.

    edit:

    Just loaded a set of 7 NES roms in a row in a playlist (Nestopia UE set for playlist) to check if they ran, and they did. However, when I loaded Adventures of Lolo (USA) via playlist, Atmosphere reported a crash (post the log here?). All 3 NES emulators (Nestopia UE, FCEUmm, QuickNES) crashed upon loading via playlist. When I'd load the core first then load the game/content, it reported "Failed to load content". While I want to say it's a bad rom, the CRC checked out as Retroarch was able to identify the game and imported it to my playlist. Will test other NES roms for the time being.
     
    Last edited by DiscostewSM, Apr 30, 2019 - Reason: Updated status on game loading
  14. FanboyKilla

    FanboyKilla GBAtemp Regular

    Member
    3
    Mar 9, 2019
    United States
    I've been testing the "2019-04-29 Nightly Build" for several hours now and I can honestly say that it's a SOLID BUILD! I would suggest that anyone who's on the fence to go ahead and try it out for yourself.

    Thanks m4xw! [​IMG]
     
    lordelan likes this.
  15. cucholix

    cucholix Banners guy

    Member
    9
    Jan 17, 2017
    Chile
    Just tested latest nightly, the “failed to write...” error wasn’t related to m4xw maintaining, but an issue in i/o module in libretro common.

    Anyway it’s fixed now.
     
    lordelan likes this.
  16. Rahkeesh

    Rahkeesh GBAtemp Maniac

    Member
    7
    Apr 3, 2018
    United States
    Yep I notice that's fixed. Although latest nightly doesn't seem to want to let me increase PPSSPP internal resolution. I can change a bunch of other core settings (without even doing a restart), but trying to do anything after increasing the resolution one notch (double) causes "this application caused an error." That includes trying to restart or even quit after changing the setting, so it never seems to "take."
     
  17. JACMAN

    JACMAN Advanced Member

    Newcomer
    2
    May 30, 2018
    United States
    Wait for it.............
     
    Last edited by JACMAN, Apr 30, 2019
  18. notimp

    notimp GBAtemp Addict

    Member
    11
    Sep 18, 2007
    Does ("save as game config (top option in core options, while a game is running)" and) "exit content" then restart still work? It worked in the past.
     
  19. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    Good news. I patiently wait for 1.7.7 though but am looking forward to it.
    (satisfied for now with what I've got)
     
    FanboyKilla likes this.
  20. cucholix

    cucholix Banners guy

    Member
    9
    Jan 17, 2017
    Chile
    It’s definitely faster, I tried tweaking options with current mupen64plus-next but couldn’t get it to run without several lag. Too bad that svc build doesn’t have OC compatibility for 8.0.X, neither thumbnails feature, it must be an old build :P
     
    Last edited by cucholix, Apr 30, 2019
    lordelan likes this.
Quick Reply
Draft saved Draft deleted
Loading...